be.fgov.ehealth.rn.baselegaldata.v1

## Class PlainAddressOptionalInceptionDateType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.PlainAddressOptionalInceptionDateType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    PlainAddressType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class PlainAddressOptionalInceptionDateType
      extends Object
      implements Serializable

  Java class for PlainAddressOptionalInceptionDateType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PlainAddressOptionalInceptionDateType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CountryCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CountryCodeType" minOccurs="0"/>
               <element name="CountryIsoCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CountryCodeISO3166Type" minOccurs="0"/>
               <element name="CountryName" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="Address" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}PlainAddressString" minOccurs="0"/>
               <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlainAddressOptionalInceptionDateType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()` Gets the value of the address property.
    `Integer` | `getCountryCode()` Gets the value of the countryCode property.
    `String` | `getCountryIsoCode()` Gets the value of the countryIsoCode property.
    `List<LocalizedDescriptionType>` | `getCountryNames()` Gets the value of the countryNames property.
    `org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
    `void` | `setAddress(String value)` Sets the value of the address property.
    `void` | `setCountryCode(Integer value)` Sets the value of the countryCode property.
    `void` | `setCountryIsoCode(String value)` Sets the value of the countryIsoCode property.
    `void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlainAddressOptionalInceptionDateType

          public PlainAddressOptionalInceptionDateType()

  - ### Method Detail

    - #### getCountryCode

          public Integer getCountryCode()

      Gets the value of the countryCode property.
      Returns:
        possible object is `Integer`

    - #### setCountryCode

          public void setCountryCode(Integer value)

      Sets the value of the countryCode property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getCountryIsoCode

          public String getCountryIsoCode()

      Gets the value of the countryIsoCode property.
      Returns:
        possible object is `String`

    - #### setCountryIsoCode

          public void setCountryIsoCode(String value)

      Sets the value of the countryIsoCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCountryNames

          public List<LocalizedDescriptionType> getCountryNames()

      Gets the value of the countryNames property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the countryNames property.

      For example, to add a new item, do as follows:

              getCountryNames().add(newItem);

      Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

    - #### getAddress

          public String getAddress()

      Gets the value of the address property.
      Returns:
        possible object is `String`

    - #### setAddress

          public void setAddress(String value)

      Sets the value of the address property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInceptionDate

          public org.joda.time.DateTime getInceptionDate()

      Gets the value of the inceptionDate property.
      Returns:
        possible object is `String`

    - #### setInceptionDate

          public void setInceptionDate(org.joda.time.DateTime value)

      Sets the value of the inceptionDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.